Per poter funzionare sia dentro le aule che fuori, I'installer del client deve chiedere il proxy per apt
Description

Al momento l'installer del client non funziona in una rete nella quale & necessario passare da un proxy, perché non ne viene chiesta
la configurazione.

Facendo preseed del valore del proxy, pero, ci si trova nella situazione opposta in cui 'installer non puo funzionare al di fuori delle
aule, quando non si ha un fuss-server a disposizione.

Una soluzione proposta & far apparire la richiesta (preconfigurando pero il repository)

History

#1 - 01/27/2017 03:05 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Nel branch t175 c'é una proposta di soluzione, suddivisa in commit individuali facilmente cherrypickabili che:

abbassa la priorita delle domande a high

¢ chiede il proxy (ma non il resto della configurazione del mirror, hardcodato al mirror svizzero perché httpredir pudé non essere permesso dal
proxy a seconda di dove redirige, e quello italiano € di solito meno affidabile)

chiede I'hostname

¢ preseedda comunque il fatto di mettere tutto in un unica partizione (che avendo priorita high sarebbe stato chiesto)

* preseedda la configurazione di nslcd coi default (che perd viene comunque parzialmente chiesta: devo controllare meglio cosa stia succedendo)

Come soluzione pud andare ed & mergiabile?

#2 - 03/01/2017 01:40 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Elena Grandi

- Priority changed from Normale to Alta

L'ho provata e funziona, ma quello che non mi torna €' perche' debba scaricare delle cose dalla rete, non dovrebbe averne bisogno... sai dirmi
perche'?

Aspettiamo a mergiare a seguito di delucidazioni a riguardo

#3 - 03/01/2017 02:51 PM - Christopher R. Gabriel

- Assignee changed from Elena Grandi to Christopher R. Gabriel

05/20/2024 12




Me lo riprendo io che non c'e' evidenza nota della necessita di accesso alla rete.

#4 - 03/10/2017 01:02 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

La soluzione €' stata mergiata in master, verificata, chiudo.
